FAHASH(1)

NAME
fahash - sequence hash builder for reverse e-PCR

SYNOPSIS
fahash [-hV] -b hash-file [-w wdsize] [-f period] [-F fragment_min,fragment_max] [-k] [-c cachesize] [-v 1|2] famap-file ...

fahash [-hV] -T hash-file [-o outfile]

DESCRIPTION

The program fahash is part of the e-PCR suite and is used to build hash-files, and output word usage statistics for reverse e-PCR searches.

OPTIONS

-b hash-file
    Build hash tables (hash-file) from sequence files,

-T hash-file
    Print word usage statistics for hash-file

-o outfile
    Write output to file `outfile'

  build-options:

-w wordsize
    Set word size when building hash tables

-f period
    Set discontiguity when building hash tables

-k  Skip repeats when building hash-file

-F min,max
    Set watermarks for fragment size (in Mb) (version 1 only)

-c cachesize
    Set cache size (version 2 only)

-v ver
    Use format version (1|2, 2 is default)

EXAMPLE

 famap -tN -b genome.famap org/chr_*.fa

 fahash -b genome.hash -w 12 -f3 ${PWD}/genome.famap

 re-PCR -s genome.hash -n1 -g1 ACTATTGATGATGA AGGTAGATGTTTTT 120-200

See famap(1) and re-pcr(1)

SEE ALSO

/usr/share/doc/ncbi-epcr/README.txt

bioperl(1), e-pcr(1), famap(1) and re-pcr(1)

AUTHORS

This manual page was written by Andreas Tille <tille@debian.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.